if(!require(rcdk)){install.packages("rcdk");library(rcdk)}
#[1]---------------------------
dc<-get.desc.categories()
get.desc.names(dc[1])
get.desc.names(dc[2])
get.desc.names(dc[3])
get.desc.names(dc[4])
get.desc.names(dc[5])
#[2]---------------------------
smiles<-c("CCC","c1ccccc1","CC(=O)C")
mols<-sapply(smiles,parse.smiles)
dnames1<-c(
  "org.openscience.cdk.qsar.descriptors.molecular.AutocorrelationDescriptorCharge",
  "org.openscience.cdk.qsar.descriptors.molecular.AtomCountDescriptor"
)
eval.desc(mols,dnames1,verbose=TRUE)
#------------------------------
dnames2<-get.desc.names(dc[2])
eval.desc(mols,dnames2,verbose=TRUE)